<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- av-201 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="38" rowspan="2" valign="top" bgcolor="F5F1F2">
      <img src="images/blank.gif" width="38" height="5"/>
	</td>
    <td width="210" valign="top" bgcolor="#FFFFFF">
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td background="images/logo_bg.gif"><!-- LOGO -->
              <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="47"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                </tr>
                <tr>
                  <td class="company" style="padding-top: 3px;padding-bottom: 3px; padding-left: 3px;padding-right: 3px;"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                </tr>
                <tr>
                  <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                </tr>
              </table>
              <!-- END LOGO -->
          </td>
        </tr>
      </table>
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td align="center" valign="top" bgcolor="#FFFFFF"><!-- MENU -->
              <table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="30" height="15"></td>
                  <td width="130"></td>
                  <td width="20" height="15" colspan="2"></td>
                  <td width="30" height="15"></td>
                </tr>
                <xsl:call-template name="TOP-MENU"/>
                <tr>
                  <td></td>
                  <td height="15"></td>
                  <td colspan="3"></td>
                </tr>
              </table>
              <!-- END MENU -->
              <table width="210"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="30" height="1"></td>
                  <td width="180" height="1"><div style="height:1px; background-color: #E3E3E3; background-repeat: repeat-x;"><span></span></div></td>
                </tr>
                <tr>
                    <td height="15" colspan="2"></td>
                </tr>
            </table></td>
        </tr>
      </table>
	<table width="100%"  border="0" cellpadding="0" cellspacing="0" bordercolor="#FFFFFF">
          <tr>
            <td width="30" bgcolor="#FFFFFF">
            </td>
            <td  width="150" valign="top" bgcolor="#FFFFFF">
		    <!-- SUBMENU -->
                <table width="150"  border="0" cellpadding="0" cellspacing="0">

                  <xsl:call-template name="SUB-MENU">
		  <xsl:with-param name="pageID" select="@ID"/>
		  </xsl:call-template>

                </table>
                <!-- END SUBMENU -->
            </td>
            <td width="30" bgcolor="#FFFFFF">
            </td>
          </tr>
      </table>	  	        <img src="images/blank.gif" width="210" height="1"/>
	</td>
    <td valign="top" bgcolor="#FFFFFF" class="line_2" width="100%" height="100%">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr>
<td height="205" background="images/header_1.jpg"><img src="images/header.jpg"/></td>
</tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td valign="top" bgcolor="#FFFFFF" class="line_1" style="padding-top: 30px;padding-left: 30px;">
<!-- CONTENT -->
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> <img src="images/text_header.gif" width="19" height="19" align="absmiddle"/></td>
</tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top" style="padding-top: 15px;">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
<!-- END CONTENT -->
</td>
</tr>
</table>
	</td>
  </tr>
  <tr>
    <!-- FOOTER -->
    <td height="77" background="images/foot_line.gif" class="copyright"><div align="center" ><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
    <!-- END FOOTER -->
    <td valign="top" bgcolor="#FFFFFF"><!-- BOTTOM MENU -->
        <table  height="77" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr> <xsl:call-template name="BOTTOM-MENU"/> </tr>
        </table>
        <!-- END BOTTOM MENU -->
    </td>
  </tr>
</table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	            <tr>
                  <td width="15" class="iconleft"><img src="images/sub_button.gif"/></td>
                  <td class="submenua" style="padding-top: 8px;padding-bottom: 8px;padding-left: 8px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	            <tr>
                  <td width="15" class="iconleft"><img src="images/sub_button.gif"/></td>
                  <td class="submenu" style="padding-top: 8px;padding-bottom: 8px;padding-left: 8px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                  <td height="1" colspan="2" background="images/sub_line.gif"></td>
                 </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            <td class="bmenua" style="padding-left: 10px;padding-right: 10px;"><div align="center"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
		 </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
            <td class="bmenu" style="padding-left: 10px;padding-right: 10px;"><div align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
		   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
           <td valign="top"><img src="images/foot_button.gif"/></td>
  		</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
