<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-209 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="46" background="images/001.gif">
	<!-- MENU -->
	<table  border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <td width="20"></td>
<xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
	<!-- END MENU -->
	</td>
  </tr>
  <tr>
    <td height="230" valign="top" background="images/bg.jpg">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="230"  background="images/header.jpg" style="background-repeat:no-repeat;padding-left:20px;">
		<!-- LOGO -->
		  <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="company" ><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            <td width="38" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
        </table>
		<!-- END LOGO -->
		</td>
      </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td valign="top" width="100%" height="100%">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">

      <tr>
        <td width="211" valign="top"  bgcolor="#828291">
		<table width="211" border="0" cellspacing="0" cellpadding="0">
            <tr>
			<td><img src="images/006.gif" width="211" height="33"/></td>
			</tr>
            <tr>
              <td valign="top" bgcolor="#828291">
			  <!-- SUBMENU -->
			  <table width="180"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

              </table>
			
			</td>
            </tr>
        </table>
		<!-- END SUBMENU -->
		</td>
        <td valign="top" background="images/003_1.gif" bgcolor="#757486" style="background-repeat:repeat-x">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top" width="100%" height="100%" background="images/003.gif" style="background-repeat:no-repeat;height:58px; padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/008.gif" alt="" border="0"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
	   		  <xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
<tr><td bgcolor="#757486" height="15"><img src="images/007.gif" width="211" height="15"/></td></tr>
  <tr>
    <td valign="top" background="images/010_1.gif">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td></td>
        <td width="780" height="106" background="images/010.gif" style="background-repeat: no-repeat;background-position: left top;padding-top:42px;">
		<table align="center" cellpadding="0" cellspacing="0">
          <tr>
            <!-- BOTTOM MENU -->
            
<xsl:call-template name="BOTTOM-MENU"/>
            
            <!-- END BOTTOM MENU -->
          </tr>
          <tr>
            <!-- FOOTER -->
            <td colspan="11" class="copyright"><div align="center" >
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
			</div></td>
            <!-- END FOOTER -->
            </tr>
        </table></td>
        <td background="images/010_1.gif"></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="mm"></td>
<td class="submenua" style="height:38px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td colspan="2" class="iconleft"><img src="images/009.gif" /></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="mm" ></td>
<td style="height:38px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td colspan="2" class="iconleft"  style="height:38px;"><img src="images/009.gif" width="4" height="5" /></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td height="8" colspan="4"><div style="height:1px; background-color: #8F8F9C; background-repeat: repeat-x;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td class="iconfoot"><img src="images/011.gif"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
