<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-213 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body background="images/page_bj.jpg" marginheight="0" marginwidth="0" topmargin="0" bottommargin="0" leftmargin="0">
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/page_bj.jpg">
    <tr>
      <td><table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="780" height="10"></td>
          </tr>
          <tr>
            <td height="54" valign="top">
<!-- MENU -->
			 <table border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
<xsl:call-template name="TOP-MENU"/>
              </tr>
          </table>
<!-- END MENU --></td>
          </tr>
          <tr>
            <td height="191"><table width="100%" height="191" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="4" valign="bottom"><img src="images/headers_bj02.gif" width="4" height="177"/></td>
                  <td valign="middle" background="images/headers_bj.gif">
				  <!-- LOGO -->
				  <table width="266" border="0" cellspacing="0" cellpadding="0">
                      <tr> 
                        <td style="padding-bottom:8px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                      </tr>
                      <tr> 
                        <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                      </tr>
                      <tr>
                        <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                      </tr>
                  </table>
				  <!-- END LOGO --></td>
                  <td width="510"><img src="images/headers.jpg" width="510" height="191"/></td>
                </tr>
              </table></td>
          </tr>
          <tr>
            <td width="100%" height="100%" ><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="4" bgcolor="#FFFFFF">
                <tr>
                  <td width="100%"  height="100%"><table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="218" align="center" valign="top" bgcolor="#C8C4A1">
						<img src="images/left_thin_line.gif" width="190" height="30"/><br/>
<!-- SUBMENU --><table width="170"  border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
</table> 
<!-- END SUBMENU --></td>
                        <td width="2" background="images/page_main_line.gif"><img src="images/space.gif" width="2" height="1"/></td>
                        <td width="100%" height="100%" valign="top" bgcolor="#D3CEB1" style="padding:20px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header" style="padding-top: 2px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/main_icon.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
						</td>
                      </tr>
                    </table></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td height="45">
<div align="center"><!-- BOTTOM MENU -->
                <table border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <xsl:call-template name="BOTTOM-MENU"/>
                  </tr>
                </table><!-- END BOTTOM MENU -->
</div></td>
          </tr>
          <tr><!-- FOOTER -->
            <td height="25" align="center" valign="top" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          <!-- END FOOTER --></tr>
        </table></td>
    </tr>
  </table>
</center>
</body>
<!--end-->
</html>
</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		 <xsl:when test="@ID=/LAYOUT/@ID">
		   <tr width="170">
            <td class="iconleft"><img src="images/icon_left.gif" width="6" height="6" /></td>
            <td class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </tr>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		   <tr width="170">
            <td class="iconleft"><img src="images/icon_left.gif" width="6" height="6" /></td>
            <td><a href='{@HREF}' class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </tr>
		  </xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
           <tr>
             <td height="10" colspan="2"><img src="images/page_lineleft.gif" width="170" height="10"/></td>
           </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		   <td class="bmenua"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       </xsl:when>
       <xsl:otherwise>
           <td class="bmenu"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  	   <xsl:if test="position()!=last()">
           <td class="iconfoot"><img src="images/page_buttom.gif" width="8" height="8"/></td>
  	   </xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
     	
</xsl:stylesheet>
