<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-215 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body background="images/page_bj.gif" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/page_bj.gif">
	<tr>
		<td valign="top" style="padding-left:50px;padding-right:50px;padding-top:50px;padding-bottom:7px;">
			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td width="102" height="178" align="right" background="images/headers_2.jpg" style="padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
								<td width="344" background="images/headers_bg.jpg">
									<table width="250" border="0" cellspacing="0" cellpadding="0">
					                    <tr>
					                      <td align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
					                    </tr>
					                    <tr>
					                      <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
					                    </tr>
									</table>
								</td>
								<td height="178" align="right" background="images/headers_bg.jpg"><div align="right"><img src="images/headers.jpg" width="426" height="178"/></div></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="4"></td>
				</tr>
				<tr height="58">
					<td align="left" valign="top">
						<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
							<tr>
				                <td width="13%" background="images/title_bjimage1.jpg"></td>
				                <td background="images/title_bjimage.jpg">
									<table border="0" align="center" cellpadding="0" cellspacing="0">
										<xsl:call-template name="TOP-MENU"/>
									</table>
								</td>
								<td width="13%" style="background-image:url(images/title_bjimage2.jpg);background-position:right top;background-repeat:x-repeat;"></td>
							</tr>
						</table>
					</td>
				</tr>
		        <tr>
					<td height="4"></td>
		        </tr>
				<tr>
					<td width="100%" height="100%" valign="top" background="images/centerbj.jpg" style="padding-top: 15px;">
						<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td width="95" valign="top" style="padding-right:15px; ">
									<img src="images/left_thin_line.gif" width="160" height="18"/>
									<table width="90%"  border="0" align="right" cellpadding="0" cellspacing="0">
										<xsl:call-template name="SUB-MENU">
											<xsl:with-param name="pageID" select="@ID"/>
										</xsl:call-template>
									</table>                    
								</td>
								<td background="images/main_thin_line_1.gif" width="1"><img src="images/space.gif" width="1" height="1"/></td>
								<td width="100%" height="100%" valign="top"><img src="images/left_thin_line.gif" width="620" height="3"/>
									<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
										<tr>
											<td style="padding: 0 15px 15px 15px;">
												<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
													<tr>
														<td valign="top" class="pageContent" name="SB_stretch" style="padding-left:20px;padding-right:20px;">
															<table cellpadding="0" cellspacing="0" border="0">
																<tr>
																	<td  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
																	<td class="icon"><img src="images/main_icon.gif" width="17" height="17"/></td>
																</tr>
															</table>
															<br/>
															<xsl:apply-templates select="PAGE-CONTENT"/>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td valign="top">
						<br/>
						<div align="center">
							<table  border="0" cellpadding="0" cellspacing="0">
								<xsl:call-template name="BOTTOM-MENU"/>
							</table>
						</div>
					</td>
				</tr>
				<tr>
					<td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
				</tr>
			</table>
		</td>
	</tr>
</table>

</body>
<!--end-->
</html>
</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		 <xsl:when test="@ID=/LAYOUT/@ID">
		   <tr>
		   <td class="iconleft" height="20"><img src="images/left_icon.gif" width="9" height="5"/></td>
           <td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </tr>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		   <tr>
          <td class="iconleft" height="20"><img src="images/left_icon.gif" width="9" height="5"/></td>
          <td class="submenu"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </tr>
		  </xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
       <tr> 
        <td colspan="2" headers="1" background="images/main_thin_line_2.gif"></td>
       </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
           <!-- when active-->
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		   <td class="iconfoot"><img src="images/buttom_icon.gif" width="3" height="8"/></td>
           <td class="bmenu"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       </xsl:when>
       <xsl:otherwise>
	       <td class="iconfoot"><img src="images/buttom_icon.gif" width="3" height="8"/></td>
           <td class="bmenu"><a href="{@HREF}" class="bmenub" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
     	
</xsl:stylesheet>
